# $Revision: 1.26 $, $Date: 2010/06/12 22:13:22 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Crypt
%define		pnam	RSA
Summary:	Crypt::RSA Perl module - RSA public-key cryptosystem
Summary(pl.UTF-8):	Moduł Perla Crypt::RSA - system kryptograficzny klucza publicznego RSA
Name:		perl-Crypt-RSA
Version:	1.99
Release:	3
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Crypt/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	f675a07810d735e99d7894338aba8e87
URL:		http://search.cpan.org/dist/Crypt-RSA/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Class-Loader >= 2.00
BuildRequires:	perl-Convert-ASCII-Armour
BuildRequires:	perl-Crypt-Blowfish
BuildRequires:	perl-Crypt-CBC
BuildRequires:	perl-Crypt-Primes >= 0.38
BuildRequires:	perl-Crypt-Random >= 0.34
BuildRequires:	perl-Data-Buffer
BuildRequires:	perl-Digest-MD2
BuildRequires:	perl-Math-Pari >= 2.001804
BuildRequires:	perl-Sort-Versions
BuildRequires:	perl-Tie-EncryptedHash
BuildRequires:	perl-Digest-SHA1
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Crypt::RSA is a pure-perl, cleanroom implementation of the RSA
public-key cryptosystem.

%description -l pl.UTF-8
Moduł Crypt::RSA jest czysto perlową implementacją systemu
kryptograficznego klucza publicznego RSA.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO
%{perl_vendorlib}/Crypt/*.pm
%{perl_vendorlib}/Crypt/RSA
%{_mandir}/man3/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Crypt-RSA.spec,v $
Revision 1.26  2010/06/12 22:13:22  baggins
- rel 3

Revision 1.25  2009/11/03 13:19:50  baggins
- rel 2
- use package names in BR

Revision 1.24  2009/06/18 07:53:48  amateja
- updated to 1.99

Revision 1.23  2007/05/27 21:50:49  qboosh
- updated Crypt::Random dependency

Revision 1.22  2007/05/27 21:48:39  qboosh
- generic URL

Revision 1.21  2007/05/27 21:14:29  agaran
- up to 1.58, rel 1, builds here

Revision 1.20  2007/02/13 07:16:53  glen
- tabs in preamble

Revision 1.19  2007/02/12 00:49:27  baggins
- converted to UTF-8

Revision 1.18  2006/02/26 21:27:56  agaran
- updated to 1.57, rel 1, tests ok (at least here)

Revision 1.17  2005/05/29 15:18:32  petec
- up to 1.55

Revision 1.16  2004/11/03 22:30:14  paladine
- formatting

Revision 1.15  2004/06/05 18:10:36  radek
- cosmetic unification: s/^%define\s+(pdir|pnam)\s+/%define\t$1\t/

Revision 1.14  2004/05/07 01:09:18  ankry
- rel. 3

Revision 1.13  2004/05/06 18:09:26  ankry
- fixed perl-devel BR

Revision 1.12  2004/04/19 20:14:26  ankry
- license fixes and unification

Revision 1.11  2003/10/29 19:38:42  migo
- bconded some BRs
- new bcond style

Revision 1.10  2003/08/18 08:08:37  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.9  2003/05/28 13:00:31  malekith
- massive attack: source-md5

Revision 1.8  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.7  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.6  2003/03/01 18:46:40  radek
- should be ready for perl-5.8.0; release++

Revision 1.5  2003/02/25 00:37:44  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:29:39  ankry
- massive attack: change CPAN URLs

Revision 1.3  2003/02/05 16:17:46  ankry
- autoupdated to 1.50

Revision 1.2  2002/09/14 16:25:20  ankry
- added conditional build without tests
- release 2

Revision 1.1  2002/07/29 19:56:55  qboosh
- new
